import os
from jinja2 import Environment, FileSystemLoader

file_loader = FileSystemLoader('templates')
env = Environment(loader=file_loader)
template = env.get_template('fluentd.conf.template')

filter_regex = os.environ.get('FLUENTD_FILTER_REGEX')

output = template.render(FLUENTD_FILTER_REGEX=filter_regex)

with open('/fluentd/etc/fluent.conf', 'w') as f:
    f.write(output)
