#!/bin/bash

# Generate fluent.conf from the template
ERB_VERSION=$(gem list erubis -i -v | cut -d' ' -f3)
erubis --version "$ERB_VERSION" /fluentd/fluentd.conf.erb > /fluentd/fluentd.conf

# Replace default destination with ingress host from environment variable
sed -i "s/ingress.nixc.us/$(echo $FLUENTD_FORWARD_HOST)/" /fluentd/fluentd.conf

# Start Fluentd
exec /usr/sbin/td-agent -c /fluentd/fluentd.conf
